package com.caimei.mapper.search;

import com.caimei.entity.CmMallOrganizeProducts;
import com.caimei.entity.CmMallProductLadderPrice;
import com.caimei.entity.CmMallProductSearchHistory;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface SearchMapper {
    List<CmMallOrganizeProducts> searchProduct(@Param("organizeID") Integer organizeID, @Param("searchWord") String searchWord);

    void deleteProductRecord(@Param("organizeID") Integer organizeID, @Param("openID") String openID);

    void saveProductRecord(CmMallProductSearchHistory productSearchHistory);

    CmMallProductLadderPrice findLadderPrice(Integer id);

    List<CmMallProductSearchHistory> findProductRecord(@Param("organizeID") Integer organizeID, @Param("openID") String openID);
}